/*
 * @copyright Copyright (c) OX Software GmbH, Germany <info@open-xchange.com>
 * @license AGPL-3.0
 *
 * This code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with OX App Suite.  If not, see <https://www.gnu.org/licenses/agpl-3.0.txt>.
 *
 * Any use of the work other than as authorized under this license or copyright law is prohibited.
 *
 */
package com.openexchange.usm.connector.commands;

import com.openexchange.usm.api.session.SessionChangeListener;
/**
 * This interface extends the SessionChangeListener class.
 * This listener will be used to listen the session change event.
 * The concrete  push notification protocols (f.e. 'udp')  must be realized in the classes, which implements this interface.
 * @author ibr
 *
 */
public interface PushNotificationType extends SessionChangeListener{
	/**
	 * this method get the art of the push notification 
	 * @return String 
	 */
	String getType();
	
}
