/*
 * @copyright Copyright (c) OX Software GmbH, Germany <info@open-xchange.com>
 * @license AGPL-3.0
 *
 * This code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with OX App Suite.  If not, see <https://www.gnu.org/licenses/agpl-3.0.txt>.
 *
 * Any use of the work other than as authorized under this license or copyright law is prohibited.
 *
 */

package com.openexchange.usm.session.impl;

public class USMSessionManagementErrorCodes {

    public static final int SERIALIZATION_ERROR = 0x300000;

    public static final int CONFIGURATION_ERROR = 0x300001;

    public static final int ILLEGAL_CHANGE_STATE_NUMBER1 = 0x300002;

    public static final int ILLEGAL_CHANGE_STATE_NUMBER2 = 0x300003;

    public static final int ILLEGAL_CHANGE_STATE_NUMBER3 = 0x300004;

    public static final int ILLEGAL_CHANGE_STATE_NUMBER4 = 0x300005;

    public static final int ILLEGAL_CONFLICT_RESOLUTION_NUMBER1 = 0x300006;

    public static final int ILLEGAL_CONFLICT_RESOLUTION_NUMBER2 = 0x300007;

    public static final int DATA_STORAGE_ERROR_NUMBER1 = 0x300008;

    public static final int DATA_STORAGE_ERROR_NUMBER2 = 0x300009;

    public static final int DATA_STORAGE_ERROR_NUMBER3 = 0x30000A;

    public static final int DATA_STORAGE_ERROR_NUMBER4 = 0x30000B;

    public static final int PERSISTENT_SESSION_ERROR_NUMBER1 = 0x30000C;

    public static final int PERSISTENT_SESSION_ERROR_NUMBER2 = 0x30000D;

    public static final int PERSISTENT_SESSION_ERROR_NUMBER3 = 0x30000E;

    public static final int PERSISTENT_SESSION_ERROR_NUMBER4 = 0x30000F;

    public static final int TOO_MANY_CONFICTS_SLOW_SYNC = 0x300010;

    public static final int CONFLICTS_SLOW_SYNC = 0x300011;

    public static final int TOO_MANY_CONFICTS_INCR_SYNC = 0x300012;

    public static final int CONFLICTS_INCR_SYNC = 0x300013;

    public static final int NO_CACHED_DATA_INCR_SYNC = 0x300014;

    public static final int CONFIGURATION_ERROR_2 = 0x300015;

    public static final int CONFIGURATION_ERROR_3 = 0x300016;

    public static final int CONFIGURATION_ERROR_4 = 0x300017;

    public static final int DATA_STORAGE_CACHE_CLASS_CAST_EXCEPTION = 0x300018;

    public static final int DATA_STORAGE_CACHE_IO_EXCEPTION = 0x300019;

    public static final int DATA_STORAGE_CACHE_CLASS_NOT_FOUND_EXCEPTION = 0x30001A;

    public static final int USM_ACCESS_DISABLED = 0x30001B;

    public static final int CONFIGURATION_ERROR_5 = 0x30001C;

    public static final int CONFIGURATION_ERROR_6 = 0x30001D;

    public static final int CONFIGURATION_ERROR_8 = 0x30001F;

    public static final int FOLDER_NOT_FOUND = 0x300020;

    public static final int CONFIGURATION_ERROR_9 = 0x300021;

    public static final int CONFIGURATION_ERROR_10 = 0x300022;

    public static final int CONFIGURATION_ERROR_11 = 0x300023;

    public static final int CONFIGURATION_ERROR_14 = 0x300026;

    public static final int CONFIGURATION_ERROR_15 = 0x300027;
    
    public static final int CONFIGURATION_ERROR_16 = 0x300028;

    public static final int CONFIGURATION_ERROR_17 = 0x300029;

    public static final int CONFIGURATION_ERROR_18 = 0x30002A;

    public static final int CONFIGURATION_ERROR_19 = 0x30002B;

    public static final int CONFIGURATION_ERROR_20 = 0x30002C;
    
    
    public static final int UUID_GENERATE_OBJECT_ID_ERROR = 0x300031;

    public static final int CONFLICTS_SLOW_SYNC_UUID_ERRORS = 0x300033;

    public static final int TIMESTAMP_MISMATCH_ON_DATAOBJECT_UPDATE = 0x300034;

    public static final int DATA_STORAGE_ERROR_NUMBER5 = 0x300035;

    public static final int DATA_STORAGE_ERROR_NUMBER6 = 0x300036;

    public static final int PERSISTENT_SESSION_DB_ERROR = 0x300040;

    public static final int PERSISTENT_SESSION_DB_ERROR_2 = 0x300041;

    public static final int PERSISTENT_SESSION_DB_ERROR_3 = 0x300042;

    public static final int PERSISTENT_SESSION_DB_ERROR_4 = 0x300043;

    public static final int OX_EVENT_DB_ERROR_1 = 0x300044;

    public static final int OX_EVENT_DB_ERROR_2 = 0x300045;

    public static final int OX_EVENT_DB_ERROR_3 = 0x300046;

    public static final int OX_EVENT_DB_ERROR_4 = 0x300047;

    public static final int SESSION_TIMESTAMP_DB_ERROR_1 = 0x300046;

    public static final int SESSION_TIMESTAMP_DB_ERROR_2 = 0x300047;
    
    public static final int ILLEGAL_OBJETCS_TO_BE_SAVED_IN_SYNC_STATE = 0x300048;

    public static final int SESSION_INITIALIZATION_FAILED = 0x300100;

    public static final int DUPLICATE_FOLDER_CREATION = 0x300200;
}
